from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.i18n import XIndexEntrySupplier

@runtime_checkable
class XExtendedIndexEntrySupplier(XIndexEntrySupplier, Protocol):
    def getLocaleList(self) -> Locale >: ...
    def getAlgorithmList(self, aLocale: Locale) -> sequence < string >: ...
    def usePhoneticEntry(self, aLocale: Locale) -> bool: ...
    def getPhoneticCandidate(self, aIndexEntry: str, aLocale: Locale) -> str: ...
    def loadAlgorithm(self, aLocale: Locale, aIndexAlgorithm: str, nCollatorOptions: int) -> bool: ...
    def getIndexKey(self, aIndexEntry: str, aPhoneticEntry: str, aLocale: Locale) -> str: ...
    def compareIndexEntry(self, aIndexEntry1: str, aPhoneticEntry1: str, aLocale1: Locale, aIndexEntry2: str, aPhoneticEntry2: str, aLocale2: Locale) -> int: ...
